## GetCustomDomain **post** `/gitpod.v1.OrganizationService/GetCustomDomain` Retrieves a specific custom domain configuration. Use this method to view custom domain details ### Examples - Get custom domain configuration: Retrieves details of a specific custom domain. ```yaml organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" ``` ### Body Parameters - `organizationId: string` organization_id is the ID of the organization to retrieve custom domain for ### Returns - `customDomain: CustomDomain` CustomDomain represents a custom domain configuration for an organization - `id: string` id is the unique identifier of the custom domain - `createdAt: string` created_at is when the custom domain was created - `domainName: string` domain_name is the custom domain name - `organizationId: string` organization_id is the ID of the organization this custom domain belongs to - `updatedAt: string` updated_at is when the custom domain was last updated - `awsAccountId: optional string` aws_account_id is the AWS account ID (deprecated: use cloud_account_id) - `cloudAccountId: optional string` cloud_account_id is the unified cloud account identifier (AWS Account ID or GCP Project ID) - `provider: optional CustomDomainProvider` provider is the cloud provider for this custom domain - `"CUSTOM_DOMAIN_PROVIDER_UNSPECIFIED"` - `"CUSTOM_DOMAIN_PROVIDER_AWS"` - `"CUSTOM_DOMAIN_PROVIDER_GCP"` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetCustomDomain \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047" }' ``` #### Response ```json { "customDomain": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "createdAt": "2019-12-27T18:11:19.117Z", "domainName": "xxxx", "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "updatedAt": "2019-12-27T18:11:19.117Z", "awsAccountId": "awsAccountId", "cloudAccountId": "cloudAccountId", "provider": "CUSTOM_DOMAIN_PROVIDER_UNSPECIFIED" } } ```